Bug 1133356 - postscreen DNSBL rejections not counted
Summary: postscreen DNSBL rejections not counted
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mailgraph
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1131703 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-25 02:37 UTC by Harald Reindl
Modified: 2015-06-30 01:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:07:53 UTC
Type: Bug


Attachments (Terms of Use)
patch to show postscreen-rejects and clamav-milter (2.53 KB, text/plain)
2014-09-01 18:54 UTC, Harald Reindl
no flags Details
patched full version (28.72 KB, text/plain)
2014-09-15 09:33 UTC, Harald Reindl
no flags Details

Description Harald Reindl 2014-08-25 02:37:36 UTC
records like below not shown which are 90% on postscreen enabled machines
http://www.postfix.org/POSTSCREEN_README.html

Aug 25 03:33:54 localhost postfix/postscreen[22415]: DNSBL rank 40 for [111.73.45.149]:1349
Aug 25 03:33:55 localhost postfix/postscreen[22415]: NOQUEUE: reject: RCPT from [111.73.45.149]:1349: 550 5.7.1 Service unavailable; client [111.73.45.149] blocked using dnsbl.thelounge.net; from=<test@*****>, to=<xiyngyaaso@yahoo.com>, proto=ESMTP, helo=<WAK-20140823XOK>

Comment 1 Harald Reindl 2014-09-01 18:54:26 UTC
Created attachment 933503 [details]
patch to show postscreen-rejects and clamav-milter

patch to show postscreen-rejects and clamav-milter
and BTW "Received" is now also no longer 0

see also https://bugzilla.redhat.com/show_bug.cgi?id=1131703

Comment 2 Bernard Johnson 2014-09-15 04:19:10 UTC
Hi Harald,

As you probably know, mailgraph is not maintained.

I've looked at this and bug 1131703 and I think this patch will cover both cases.  I'm going to mark the other but as a duplicate since this covers both now.

I don't know if the change for catching virus is right (there are many many ways to hook up a pipeline) but I don't see any harm in this additional check if that's the way you're using it.

diff -Naur mailgraph-1.14-pristine/mailgraph.pl mailgraph-1.14/mailgraph.pl
--- mailgraph-1.14-pristine/mailgraph.pl	2007-08-29 03:06:01.000000000 -0600
+++ mailgraph-1.14/mailgraph.pl	2014-09-14 22:08:33.325627418 -0600
@@ -595,7 +595,7 @@
 				event($time, 'bounced');
 			}
 		}
-		elsif($prog eq 'smtpd') {
+		elsif($prog eq 'smtpd' || $prog eq 'postscreen') {
 			if($text =~ /^[0-9A-Z]+: client=(\S+)/) {
 				my $client = $1;
 				return if $opt{'ignore-localhost'} and
@@ -631,6 +631,9 @@
 			if($text =~ /^[0-9A-Z]+: (?:reject|discard): /) {
 				event($time, 'rejected');
 			}
+			elseif($text =~ /Virus found/) {
+				event($time, 'virus');
+         }
 		}
 	}
 	elsif($prog eq 'sendmail' or $prog eq 'sm-mta') {

Comment 3 Bernard Johnson 2014-09-15 04:19:30 UTC
*** Bug 1131703 has been marked as a duplicate of this bug. ***

Comment 4 Harald Reindl 2014-09-15 09:33:37 UTC
Created attachment 937497 [details]
patched full version

BTW - my version now also counts "Sent" and "Received", AFAIR "received" was always zero here which is odd on a inbound-mailgateway scanning and filtering incoming mail and relay it via SMTP to the destination servers

Comment 5 Fedora End Of Life 2015-05-29 12:43:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-30 01:07:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.